---
search:
  tags:
    - Scheduling
    - GET
seo:
  description: >-
    Retrieves all scheduled job groups for an application. Reference for the GET
    /api/v1/{team_slug}/{app_slug}/schedule/groups endpoint in the Management
    API.
sidebar:
  label: List Scheduled Job Groups
  badge: GET
title: List Scheduled Job Groups
type: openapi-operation
---
Retrieves all scheduled job groups for an application.

`GET /api/v1/{team_slug}/{app_slug}/schedule/groups`

**Responses**

- `200` — Scheduled job groups
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": [
    {
      "created_at": "string",
      "id": "string",
      "jobs": [
        {
          "add_category_names": [
            "string"
          ],
          "add_collection_names": [
            "string"
          ],
          "add_tag_names": [
            "string"
          ],
          "execute_at": "string",
          "finished_at": "string",
          "group_id": "string",
          "id": "string",
          "item_id": "string",
          "item_name": "string",
          "item_type": "string",
          "remove_category_names": [
            "string"
          ],
          "remove_collection_names": [
            "string"
          ],
          "remove_tag_names": [
            "string"
          ],
          "to_amount_cents_with_tax": 0,
          "to_market_id": "string",
          "to_market_status": "string",
          "to_on_sale": true,
          "to_sale_amount_cents_with_tax": 0,
          "to_start_sale_timestamp": "string",
          "to_status": "string",
          "to_stop_sale_timestamp": "string",
          "to_store_group_id": "string"
        }
      ],
      "name": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}
```
